<xml></xml>

Saxon API for .NET |

# DocumentBuilder Methods

The methods of the DocumentBuilder class are listed below. For a complete list of DocumentBuilder class members, see the DocumentBuilder Members topic.

#### Public Instance Methods

Build | Overloaded. Load an XML document, retrieving it via a URI.
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
GetType (inherited from Object) | Gets the Type of the current instance.
ToString (inherited from Object) | Returns a String that represents the current Object.
Wrap | Wrap an XML DOM document, supplied as an `XmlNode`, as a Saxon XdmNode.

#### Protected Instance Methods

Finalize (inherited from Object) | Allows an Object to attempt to free resources and perform other cleanup operations before the Object is reclaimed by garbage collection.
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

#### See Also

DocumentBuilder Class | Saxon.Api Namespace